콘텐츠로 건너뛰기

개요

  • 버전: 2.0.0
  • 서버: https://store.xsolla.com/api
  • 이메일로 문의하기
  • 연락처 URL: https://xsolla.com/
  • 필수 TLS 버전: 1.2

카탈로그 API를 통해 엑솔라 측 인게임 아이템에 대한 카탈로그를 구성하고 스토어 사용자에게 카탈로그를 표시합니다.

API를 통해 다음 카탈로그 엔터티를 관리할 수 있습니다:

  • 가상 아이템 - 무기, 스킨, 부스터와 같은 인게임 아이템.
  • 인게임 재화 - 가상 아이템을 구매하는 데 사용되는 가상 화폐.
  • 인게임 재화 패키지 - 사전 정의된 인게임 재화 번들.
  • 번들 - 가상 아이템, 통화 또는 단일 SKU로 판매되는 게임 키의 결합 패키지.
  • 게임 키 - Steam이나 기타 DRM 제공업체와 같은 플랫폼을 통해 배포되는 게임 및 DLC의 키.
  • 그룹 - 카탈로그 내 아이템을 정리하고 분류하기 위한 로직 그룹.

API 호출

API는 다음 그룹으로 구분됩니다:

  • Admin - 카탈로그 아이템 및 그룹 생성, 업데이트, 삭제 및 구성을 위한 호출. 상품 또는 프로젝트 자격 증명으로 기본 액세스 인증을 통해 인증됩니다. 스토어프런트 용도로 사용되지 않습니다.
  • Catalog - 아이템 검색 및 최종 사용자를 위한 맞춤형 스토어프론트 구축을 위한 호출. 높은 부하 시나리오를 처리하도록 설계되었습니다. 사용자별 한도나 진행 중인 프로모션과 같은 개인화된 데이터를 반환하기 위해 선택적 사용자 JWT 인증을 지원합니다.

인증

API 호출은 사용자 또는 프로젝트를 대신하여 인증이 필요합니다. 사용된 인증 체계는 각 호출 설명의 보안 섹션에 명시되어 있습니다.

사용자의 JWT를 사용한 인증

사용자의 JWT 인증은 브라우저, 모바일 애플리케이션 또는 게임에서 요청이 전송될 때 사용됩니다. 기본적으로 XsollaLoginUserJWT 체계가 적용됩니다. 토큰 생성 방법에 대한 자세한 내용은 엑솔라 로그인 API 문서를 참조하십시오.

토큰은 다음 형식으로 Authorization 헤더에 전달됩니다: Authorization: Bearer <user_JWT>, 여기에서 <user_JWT>는 사용자 토큰입니다. 이 토큰은 사용자를 식별하고 개인화된 데이터에 대한 액세스를 제공합니다.

또는 결제 UI를 여는 토큰을 사용할 수 있습니다.

기본 HTTP 인증

기본 HTTP 인증은 서버 간 상호작용에 사용되며, API 호출이 사용자의 브라우저나 모바일 애플리케이션이 아닌 서버에서 직접 전송될 때 사용됩니다. 일반적으로 API 키를 사용한 HTTP 기본 인증이 사용됩니다.

참고

API 키는 기밀이며 클라이언트 애플리케이션에 저장하거나 사용해서는 안 됩니다.

기본 서버 측 인증을 사용하면 모든 API 요청에 다음 헤더를 포함해야 합니다:

  • basicAuth의 경우 - Authorization: Basic <your_authorization_basic_key>, 여기에서 your_authorization_basic_key는 Base64로 인코딩된 project_id:api_key 쌍입니다.
  • basicMerchantAuth의 경우 - Authorization: Basic <your_authorization_basic_key>, 여기에서 your_authorization_basic_key는 Base64로 인코딩된 merchant_id:api_key 쌍입니다.

관리자 페이지에서 매개 변수 값을 찾을 수 있습니다:

  • merchant_id는 다음 위치에 표시됩니다:
    • Company settings > Company에서.
    • 관리자 페이지의 모든 페이지에서 브라우저 주소 표시줄의 URL에. URL 형식은 다음과 같습니다: https://publisher.xsolla.com/<merchant_id>.
  • project_id는 다음 위치에 표시됩니다:
    • 관리자 페이지에서 프로젝트 이름 옆.
    • 관리자 페이지에서 프로젝트 작업 시 브라우저 주소 표시줄의 URL. URL 형식은 다음과 같습니다: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key는 생성 시에만 관리자 페이지에 표시되며 귀하의 측에서 안전하게 저장해야 합니다. API 키는 다음 섹션에서 생성할 수 있습니다:
알림

필수 API 호출에 project_id 경로 매개 변수가 포함되지 않은 경우, 모든 회사 프로젝트에 대해 유효한 API 키를 사용하여 인증하십시오.

API 키 작업에 대한 자세한 내용은 API 참조 문서를 참조하십시오.

게스트 액세스 지원을 통한 인증

AuthForCart 인증 체계는 장바구니 구매에 사용되며 두 가지 모드를 지원합니다.

  1. 사용자의 JWT를 사용한 인증. 토큰은 다음 형식으로 Authorization 헤더에 전달됩니다: Authorization: Bearer <user_JWT>, 여기에서 <user_JWT>는 사용자 토큰입니다. 이 토큰은 사용자를 식별하고 개인화된 데이터에 대한 액세스를 제공합니다. 또한, 결제 UI 열기 위한 토큰을 사용할 수 있습니다.

  2. Simplified mode without Authorization header. 이 모드는 미인증 사용자만 사용하며, 게임 키 판매에만 적용할 수 있습니다. 토큰 대신 요청에 다음 헤더를 포함해야 합니다.

    • 요청 ID와 x-unauthorized-id
    • Base64로 인코딩된 사용자의 이메일 주소와 x-user

핵심 엔티티 구조

모든 유형의 아이템(가상 아이템, 번들, 인게임 재화, 키)은 유사한 데이터 구조를 사용합니다. 기본 구조를 이해하면 API 작업이 간소화되고 문서를 더 쉽게 탐색할 수 있습니다.

참고

일부 호출에는 추가 입력란이 포함될 수 있지만 기본 구조는 변경되지 않습니다.

식별

  • merchant_id- 관리자 페이지의 회사 ID
  • project_id - 관리자 페이지의 프로젝트 ID
  • sku - 프로젝트 내의 고유한 아이템 SKU

Store display

  • name - 아이템 이름
  • description - 아이템 설명
  • image_url - 이미지 URL
  • is_enabled - 아이템 가용성
  • is_show_in_store - 카탈로그에 아이템이 표시되는지 여부

카탈로그에서 아이템 가용성 관리에 대한 자세한 정보는 문서를 참조하세요.

Organization

  • type - 아이템 유형, 예를 들어 가상 아이템(virtual_item) 또는 번들(bundle)
  • groups - 아이템이 속한 그룹
  • order - 카탈로그 내 디스플레이 순서

판매 조건

  • prices - 실제 화폐 또는 인게임 재화로 된 가격
  • limits - 구매 한도
  • periods - 가용 기간
  • regions - 지역 제한

핵심 엔티티 구조 예시:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

기본 구매 흐름

엑솔라 API를 사용하면 아이템 카탈로그 검색, 장바구니 관리, 주문 생성 및 상태 추적을 포함한 인게임 스토어 로직을 구현할 수 있습니다. 통합 시나리오에 따라 API 호출은 AdminCatalog 하위 섹션으로 구분되며, 서로 다른 인증 방식을 사용합니다.

다음 예시는 아이템 생성부터 구매까지 스토어 설정 및 운영을 위한 기본 흐름을 보여줍니다.

아이템 및 그룹 생성(관리자)

가상 아이템, 번들, 인게임 재화와 같은 스토어의 아이템 카탈로그를 생성합니다.

예시 API 호출:

프로모션, 체인 및 한도 설정(관리자)

할인, 보너스, 일일 보상 또는 혜택 체인과 같은 사용자 획득 및 수익화 도구를 구성합니다.

예시 API 호출:

아이템 정보 가져오기(클라이언트)

애플리케이션에서 아이템 디스플레이를 구성합니다.

알림

사용자 카탈로그를 구축하는 데 관리자 하위 섹션의 API 호출을 사용하지 마십시오. 이러한 API 호출에는 속도 제한이 있으며 사용자 트래픽을 위한 것이 아닙니다.

API 호출 예시:

참고

기본적으로 카탈로그 API 호출은 요청 시점에 스토어에서 현재 사용 가능한 아이템을 반환합니다. 아직 사용 가능하지 않거나 더 이상 사용 가능하지 않은 아이템을 검색하려면 카탈로그 요청에 "show_inactive_time_limited_items": 1 매개 변수를 포함하십시오.

아이템 판매

다음 방법을 사용하여 아이템을 판매할 수 있습니다:

  • 빠른 구매 - 하나의 SKU를 여러 번 판매합니다.
  • 장바구니 구매 - 사용자가 장바구니에 아이템을 추가하고, 제거하고, 수량을 업데이트합니다.

아이템이 실제 돈 대신 인게임 재화로 구매된 경우, 인게임 재화로 구매한 특정 아이템으로 주문 생성 API 호출을 사용하십시오. 결제 UI는 필요하지 않으며, API 호출이 실행될 때 청구가 처리됩니다.

무료 아이템 구매의 경우, 특정 무료 아이템으로 주문 생성 API 호출 또는 무료 장바구니로 주문 생성 API 호출을 사용하십시오. 결제 UI는 필요하지 않으며, 주문은 즉시 done 상태로 설정됩니다.

빠른 구매

클라이언트 측 API 호출을 사용하여 특정 아이템으로 주문 생성을 수행합니다. 호출은 결제 UI를 열기 위한 토큰을 반환합니다.

참고

할인 정보는 결제 UI에서만 사용자에게 제공됩니다. 프로모션 코드는 지원되지 않습니다.

장바구니 구매

장바구니 설정 및 구매는 클라이언트 또는 서버 측에서 수행할 수 있습니다.

클라이언트에서 장바구니 설정 및 구매

아이템 추가 및 제거 로직을 직접 구현하십시오. 장바구니 설정을 위한 API 호출 전에는 구매에 적용될 프로모션에 대한 정보를 알 수 없습니다. 이는 총 비용과 추가 보너스 아이템의 세부 사항을 알 수 없음을 의미합니다.

다음 장바구니 로직을 구현하십시오:

  1. 플레이어가 장바구니를 채운 후, 아이템으로 장바구니 채우기 API 호출을 사용하십시오. 호출은 선택한 아이템에 대한 현재 정보를 반환합니다 (할인 전후 가격, 보너스 아이템).
  2. 사용자 작업에 따라 장바구니 내용을 업데이트하십시오:
참고

현재 장바구니 상태를 얻으려면 현재 사용자의 장바구니 가져오기 API 호출을 사용하십시오.
  1. 현재 장바구니의 모든 아이템으로 주문 생성 API 호출을 사용하십시오. 호출은 주문 ID와 결제 토큰을 반환합니다. 새로 생성된 주문은 기본적으로 new 상태로 설정됩니다.

서버에서 장바구니 설정 및 구매

이 설정 옵션은 장바구니 설정에 더 많은 시간이 걸릴 수 있습니다. 장바구니의 각 변경 사항은 API 호출을 동반해야 하기 때문입니다.

다음 장바구니 로직을 구현하십시오:

  1. 플레이어가 장바구니를 채운 후, 아이템으로 장바구니 채우기 API 호출을 사용하십시오. 호출은 선택한 아이템에 대한 현재 정보를 반환합니다(할인 전후 가격, 보너스 아이템).
  2. 현재 장바구니의 모든 아이템으로 주문 생성 API 호출을 사용하십시오. 호출은 주문 ID와 결제 토큰을 반환합니다. 새로 생성된 주문은 기본적으로 new 상태로 설정됩니다.

결제 UI 열기

반환된 토큰을 사용하여 새 창에서 결제 UI를 엽니다. 결제 UI를 여는 다른 방법은 문서에 설명되어 있습니다.

작업엔드포인트
프로덕션 환경에서 열기.https://secure.xsolla.com/paystation4/?token={token}
샌드박스 모드에서 열기.https://sandbox-secure.xsolla.com/paystation4/?token={token}
참고

개발 및 테스트 중에는 샌드박스 모드를 사용하세요. 테스트 구매는 실제 계정에 청구되지 않습니다. 테스트 은행 카드를 사용할 수 있습니다.

첫 번째 실제 결제가 이루어진 후에는 엄격한 샌드박스 결제 정책이 적용됩니다. 샌드박스 모드에서의 결제는 관리자 페이지 > 회사 설정 > 사용자에 지정된 사용자에게만 가능합니다.

실제 통화로 인게임 재화와 아이템을 구매하려면 엑솔라와의 라이선스 계약을 체결해야 합니다. 이를 위해 관리자 페이지에서 Agreements & Taxes > Agreements으로 이동하여 계약 양식을 작성하고 확인을 기다리세요. 계약 검토에는 최대 3영업일이 소요될 수 있습니다.

샌드박스 모드를 활성화하거나 비활성화하려면 빠른 구매 및 장바구니 구매 요청에서 sandbox 매개 변수의 값을 변경하세요. 기본적으로 샌드박스 모드는 꺼져 있습니다.

가능한 주문 상태:

  • new - 주문 생성됨
  • paid - 결제 완료됨
  • done - 아이템 전달됨
  • canceled - 주문 취소됨
  • expired -주문 만료됨

다음 방법 중 하나를 사용하여 주문 상태를 추적하세요:

페이지 매김

대량의 레코드를 반환하는 API 호출(예: 카탈로그 작성 시)은 데이터를 페이지 단위로 반환합니다. 페이지 매김은 단일 API 응답에서 반환되는 항목 수를 제한하고 이후 페이지를 순차적으로 검색할 수 있는 메커니즘입니다.

반환되는 아이템 수를 제어하기 위해 다음 매개 변수를 사용하세요:

  • limit - 페이지당 항목 수
  • offset - 페이지의 첫 번째 항목의 인덱스(번호는 0부터 시작)
  • has_more - 다른 페이지가 있는지 여부를 나타냄
  • total_items_count - 총 항목 수

요청 예시:

GET /items?limit=20&offset=40

응답 예시:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

응답이 has_more = false를 반환할 때까지 후속 요청을 보내는 것이 좋습니다.

날짜 및 시간 형식

날짜 및 시간 값은 ISO 8601 형식으로 전달됩니다.

다음이 지원됩니다:

  • UTC 오프셋
  • 항목 표시 시간 제한이 없는 경우 null
  • 일부 입력란에서 사용되는 Unix 타임스탬프(초 단위)

형식: YYYY-MM-DDTHH:MM:SS±HH:MM

예시: 2026-03-16T10:00:00+03:00

현지화

엑솔라는 항목 이름 및 설명과 같은 사용자 대상 입력란의 현지화를 지원합니다. 현지화된 값은 언어 코드를 키로 사용하는 개체로 전달됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Supported fields

다음 매개 변수에 대해 현지화를 지정할 수 있습니다:

  • name
  • description
  • long_description

Locale format

로케일 키는 다음 형식 중 하나로 지정할 수 있습니다:

  • 두 글자 언어 코드: en, ru
  • 다섯 글자 언어 코드: en-US, ru-RU, de-DE

Examples

두 글자 언어 코드 예시:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

다섯 글자 언어 코드 예시:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

오류 응답 형식

오류가 발생하면, API는 HTTP 상태와 JSON 응답 본문을 반환합니다. 스토어 관련 오류의 전체 목록은 문서에서 확인할 수 있습니다.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode - 오류 코드.
  • errorMessage - 짧은 오류 설명.
  • statusCode - HTTP 응답 상태.
  • transactionId - 요청 ID. 일부 경우에만 반환됩니다.
  • errorMessageExtended - 요청 매개 변수와 같은 추가 오류 세부 정보. 일부 경우에만 반환됩니다.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 - 잘못된 요청
  • 401 - 인증 오류
  • 403 - 권한 부족
  • 404 - 리소스를 찾을 수 없음
  • 422 - 유효성 검사 오류
  • 429 - 속도 제한 초과

Recommendations

  • HTTP 상태와 응답 본문을 함께 처리하세요.
  • errorCode를 사용하여 애플리케이션 로직과 관련된 오류를 처리하세요.
  • transactionId를 사용하여 오류 분석 시 요청을 더 빠르게 식별하세요.
OpenAPI 설명 다운로드
언어
서버
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ko/api/catalog/

개요

가상 아이템과 인게임 재화를 사용하여 인게임 스토어를 구축하고 사용자에게 어떻게 디스플레이할지를 구성할 수 있습니다. 다음과 같은 아이템 유형이 제공됩니다:

  • 가상 아이템 - 무기, 스킨, 부스터와 같은 인게임 상품. 실제 돈이나 가상 머니로 판매할 수 있습니다.
  • 가상 머니 - 가상 아이템을 구매하는 데 사용되는 인게임 화폐. 실제 돈이나 인게임 재화로 판매할 수 있습니다.
  • 인게임 재화 패키지 - 고정된 양의 인게임 재화. 실제 돈이나 인게임 재화로 판매할 수 있습니다.

그룹은 카탈로그에서 아이템을 구성하는 데 사용됩니다. 아이템을 논리적으로 그룹화하고 디스플레이 방식을 관리할 수 있습니다.

Admin 하위 섹션의 API 호출을 사용하여 아이템을 생성, 업데이트 및 삭제하세요.

Catalog 하위 섹션의 API 호출을 사용하여 아이템 목록을 검색하고 사용자에게 디스플레이하세요.

알림

스토어 카탈로그를 작성하는 데 Admin 하위 섹션의 API 호출을 사용하지 마세요.

참고

가상 아이템 목록 가져오기 API 호출은 가격 및 특성을 포함한 자세한 아이템 데이터를 반환하며, 페이지 매김을 지원합니다. 스토어프론트에서 카탈로그 페이지를 표시하는 데 사용하세요.

모든 가상 아이템 목록 가져오기 API 호출은 페이지 매김 없이 아이템 SKU, 이름, 설명, 그룹 ID 및 이름을 반환합니다. 클라이언트 측 검색 또는 색인에 사용하세요.

인게임 재화로 구매할 경우, 인게임 재화로 구매한 지정된 아이템으로 주문 생성 API 호출을 사용하세요. 결제 UI는 필요하지 않으며, API 호출이 실행될 때 청구가 처리됩니다.

인게임 재화를 사용한 구매 절차 예시:

인게임 재화를 사용한 구매 절차 예시

작업

인게임 재화 목록 가져오기Server-side관리자

요청

관리를 위해 프로젝트 내부의 인게임 재화 목록을 가져옵니다.

참고

상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.
보안
basicAuth
경로
project_idinteger필수

프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
쿼리
limitinteger>= 1

페이지 요소 개수 제한입니다.

예제: limit=50
offsetinteger>= 0

목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

예제: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency?limit=50&offset=0'

응답

인게임 재화 목록을 성공적으로 수신했습니다.

본문application/json
itemsArray of objects
items[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

items[].​name(object or null)

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

items[].​name.​enstring or null

영어

items[].​name.​arstring or null

아랍어

items[].​name.​bgstring or null

불가리아어

items[].​name.​cnstring or null

중국어(간체)

items[].​name.​csstring or null

체코어

items[].​name.​destring or null

독일어

items[].​name.​esstring or null

스페인어(스페인)

items[].​name.​frstring or null

프랑스어

items[].​name.​hestring or null

히브리어

items[].​name.​itstring or null

이탈리아어

items[].​name.​jastring or null

일본어

items[].​name.​kostring or null

한국어

items[].​name.​plstring or null

폴란드어

items[].​name.​ptstring or null

포르투칼어

items[].​name.​rostring or null

로마니아어

items[].​name.​rustring or null

러시아어

items[].​name.​thstring or null

태국어

items[].​name.​trstring or null

터키어

items[].​name.​twstring or null

중국어(번체)

items[].​name.​vistring or null

베트남어

items[].​name.​kmstring or null

크메르어

items[].​name.​idstring or null

인도네시아어

items[].​name.​lostring or null

라오스어

items[].​name.​mystring or null

버마어

items[].​name.​phstring or null

필리핀어

items[].​name.​nestring or null

네팔어

items[].​description(object or null)

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

items[].​description.​enstring or null

영어

items[].​description.​arstring or null

아랍어

items[].​description.​bgstring or null

불가리아어

items[].​description.​cnstring or null

중국어(간체)

items[].​description.​csstring or null

체코어

items[].​description.​destring or null

독일어

items[].​description.​esstring or null

스페인어(스페인)

items[].​description.​frstring or null

프랑스어

items[].​description.​hestring or null

히브리어

items[].​description.​itstring or null

이탈리아어

items[].​description.​jastring or null

일본어

items[].​description.​kostring or null

한국어

items[].​description.​plstring or null

폴란드어

items[].​description.​ptstring or null

포르투칼어

items[].​description.​rostring or null

로마니아어

items[].​description.​rustring or null

러시아어

items[].​description.​thstring or null

태국어

items[].​description.​trstring or null

터키어

items[].​description.​twstring or null

중국어(번체)

items[].​description.​vistring or null

베트남어

items[].​description.​kmstring or null

크메르어

items[].​description.​idstring or null

인도네시아어

items[].​description.​lostring or null

라오스어

items[].​description.​mystring or null

버마어

items[].​description.​phstring or null

필리핀어

items[].​description.​nestring or null

네팔어

items[].​long_description(object or null)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

items[].​long_description.​enstring or null

영어

items[].​long_description.​arstring or null

아랍어

items[].​long_description.​bgstring or null

불가리아어

items[].​long_description.​cnstring or null

중국어(간체)

items[].​long_description.​csstring or null

체코어

items[].​long_description.​destring or null

독일어

items[].​long_description.​esstring or null

스페인어(스페인)

items[].​long_description.​frstring or null

프랑스어

items[].​long_description.​hestring or null

히브리어

items[].​long_description.​itstring or null

이탈리아어

items[].​long_description.​jastring or null

일본어

items[].​long_description.​kostring or null

한국어

items[].​long_description.​plstring or null

폴란드어

items[].​long_description.​ptstring or null

포르투칼어

items[].​long_description.​rostring or null

로마니아어

items[].​long_description.​rustring or null

러시아어

items[].​long_description.​thstring or null

태국어

items[].​long_description.​trstring or null

터키어

items[].​long_description.​twstring or null

중국어(번체)

items[].​long_description.​vistring or null

베트남어

items[].​long_description.​kmstring or null

크메르어

items[].​long_description.​idstring or null

인도네시아어

items[].​long_description.​lostring or null

라오스어

items[].​long_description.​mystring or null

버마어

items[].​long_description.​phstring or null

필리핀어

items[].​long_description.​nestring or null

네팔어

items[].​groupsArray of objects

아이템이 속한 그룹입니다.

items[].​groups[].​external_idstring
예제: "horror"
items[].​groups[].​nameobject

아이템의 이름입니다. 키가 "^[a-z]{2}" 형식의 로케일인 키/값 쌍을 포함해야 하며 값은 문자열입니다.

기본값 {"en":"Horror"}
예제: {"en":"Horror","de":"Horror"}
items[].​groups[].​name.​property name*string추가 속성
items[].​attributesArray of objects

특성 목록입니다.

예제: [{"external_id":"attribute_external_id","name":{"en":"Attribute name","de":"Attributname"},"values":[{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]}]
items[].​attributes[].​external_idstring[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$필수

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "attribute_external_id"
items[].​attributes[].​nameobject

특성의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

예제: {"en":"Attribute name","de":"Attributname"}
items[].​attributes[].​name.​property name*string추가 속성
items[].​attributes[].​valuesArray of objects필수
예제: [{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]
items[].​attributes[].​values[].​external_idstring[ 1 .. 255 ] characters^[-_.\d\w]+$필수

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

예제: "value_external_id"
items[].​attributes[].​values[].​valueobject필수

값의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

items[].​attributes[].​values[].​value.​property name*string추가 속성
items[].​media_listArray of objects

스크린샷, 게임 플레이 동영상 등과 같은 아이템의 추가 자산입니다.

items[].​media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
items[].​media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​typestring

아이템의 유형: virtual_good/virtual_currency/bundle/physical_good/unit.

items[].​pricesArray of objects
예제: [{"currency":"USD","amount":10.5,"is_default":true,"is_enabled":true,"country_iso":"US"}]
items[].​prices[].​currencystring필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 내용은 설명서를 확인하십시오.

예제: "USD"
items[].​prices[].​amountnumber> 0필수

실제 화폐로 표시된 아이템 가격입니다.

예제: 10.5
items[].​prices[].​is_defaultboolean

실제 통화로 표시되는 기본 가격인지 여부입니다. 가격 설정에 대한 자세한 내용은 문서를 참조하십시오.

기본값 false
예제: true
items[].​prices[].​is_enabledboolean

이 가격이 카탈로그에 표시하거나 아이템을 구매할 때 사용되는지 여부입니다. false로 설정하면 해당 가격은 사용되지 않으며 다른 가격이 적용됩니다. 가격 설정에 대한 자세한 내용은 문서를 참조하십시오.

기본값 true
예제: true
items[].​prices[].​country_isostring or null

이 가격을 사용할 수 있는 국가입니다. ISO 3166-1 alpha 2에 따른 2자리 글자 코드입니다.

예제: "US"
items[].​vc_pricesArray of objects
예제: [{"sku":"com.xsolla.gold_1","amount":10,"is_default":true}]
items[].​vc_prices[].​skustring필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.gold_1"
items[].​vc_prices[].​amountnumber> 0필수

금액.

예제: 10
items[].​vc_prices[].​is_defaultboolean
기본값 false
예제: true
items[].​image_urlstring

이미지 URL. 결제 UI에서 이미지가 올바르게 표시되고 빠르게 로드되도록 하려면 다음 이미지 및 URL 가이드라인을 확인하세요:

  • 지원되는 형식: WebP(권장), PNG, JPG.
  • 파일 크기: 50KB 이하(WebP의 경우) 또는 150KB 이하(PNG 및 JPG의 경우).
  • 이미지 크기: 280 x 280 픽셀.
  • 색 공간: sRGB.
  • 프로토콜: 버전 관리된 URL에 대해 장기 캐싱이 적용된 HTTPS.

items[].​is_enabledboolean

해당 아이템이 구매 가능한지 여부입니다. false인 경우, 해당 아이템은 스토어에서 구매할 수 없으며 번들 상품이나 마케팅 캠페인을 통해서도 획득할 수 없습니다. 아이템 구매 가능 여부에 대한 자세한 내용은 문서를 참조하세요.

items[].​is_freeboolean

아이템이 무료인지 여부입니다.

items[].​is_paid_randomized_rewardboolean

아이템이 예를 들어, 루트 박스와 같이 무작위로 지급되었는지 여부.

items[].​orderinteger

카탈로그 내 아이템 표시 순서입니다. 값이 클수록 목록에서 해당 아이템이 더 아래쪽에 표시됩니다. 값이 동일한 경우, 아이템이 생성 날짜 순으로 정렬되며, 보다 최근에 생성된 아이템이 더 위쪽에 표시됩니다.

items[].​is_show_in_storeboolean

해당 아이템이 카탈로그에 표시되는지 여부입니다. false이고 is_enabled: true인 경우, 해당 아이템은 카탈로그에 표시되지 않지만 번들 상품의 일부로 제공되거나 마케팅 캠페인 내에서 이용할 수 있습니다. 아이템 제공 여부에 대한 자세한 내용은 문서를 참조하십시오.

items[].​regionsArray of objects

해당 아이템을 이용할 수 있는 지역 목록입니다. 목록이 비어 있거나 전달되지 않은 경우, 해당 아이템은 모든 지역에 제공됩니다.

items[].​regions[].​idinteger>= 1

프로젝트 내의 지역 ID입니다.

자세한 내용은 지역별 판매 제한 관련 문서지역 관리 API 호출을 참조하십시오.

예제: 1
items[].​limitsobject or null

아이템 제한 사항입니다.

items[].​limits.​per_userobject or null

개별 사용자에 대한 아이템 제한 사항입니다.

items[].​limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량입니다.

items[].​limits.​per_user.​limit_exceeded_visibilitystring

구매 한도에 도달한 후 다음 한도 재설정 때까지 카탈로그 내 아이템의 표시 여부를 결정합니다.

recurrent_schedule 배열에서 반복 한도 재설정이 구성된 아이템에 적용됩니다.

구매 한도에 도달한 후, 한도 초기화를 구성하지 않았다면limit_exceeded_visibility 값과 관계없이 해당 아이템은 카탈로그에 표시되지 않습니다.

사용 가능한 값: - show - 구매 한도에 도달한 이후에도 카탈로그 검색 API 호출 시 해당 아이템이 반환됩니다. 클라이언트 측 카탈로그 검색 API 호출에서 한도에 도달하면, 해당 아이템은 can_be_bought: false 플래그와 함께 반환됩니다. 다음 재설정 날짜는 reset_next_date에 반환됩니다. - hide - 구매 한도에 도달한 후, 한도가 재설정될 때까지 해당 아이템은 카탈로그 검색 API 호출에서 반환되지 않습니다.

열거형"show""hide"
items[].​limits.​per_itemobject or null

전역 항목 제한 사항입니다.

items[].​limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

items[].​limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​recurrent_scheduleobject or null

새로고침 기간을 제한합니다.

items[].​limits.​recurrent_schedule.​per_userobject

사용자 제한 새로고침 기간입니다.

One of:

일일 사용자 유형 제한 설정을 새로고침합니다.

items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

반복 새로고침 기간 유형입니다.

"daily"
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

원하는 시간대의 제한 시간 새로고침 시간입니다(시간 단위로 반올림).

예제: "11:00:00+03:00"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

새로고침 제한 설정이 적용되는 날짜 및 시간입니다(Unix 타임스탬프)

예제: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

첫 번째 제한 설정을 새로고침하는 날짜 및 시간입니다(ISO 8601).

예제: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

제한 설정을 재설정해야 하는 날짜 및 시간입니다(ISO 8601).

예제: "2023-02-28T11:00:00+08:00"
items[].​periodsArray of objects

아이템 판매 기간입니다.

items[].​periods[].​date_fromstring or null(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
items[].​custom_attributesobject(json)

아이템 특성 및 값이 포함된 JSON 개체입니다.

응답
application/json
{ "items": [ {}, {} ] }

요청

인게임 재화를 생성합니다.

보안
basicAuth
경로
project_idinteger필수

프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
본문application/json
skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

name(object or null)필수

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

name.​enstring or null

영어

name.​arstring or null

아랍어

name.​bgstring or null

불가리아어

name.​cnstring or null

중국어(간체)

name.​csstring or null

체코어

name.​destring or null

독일어

name.​esstring or null

스페인어(스페인)

name.​frstring or null

프랑스어

name.​hestring or null

히브리어

name.​itstring or null

이탈리아어

name.​jastring or null

일본어

name.​kostring or null

한국어

name.​plstring or null

폴란드어

name.​ptstring or null

포르투칼어

name.​rostring or null

로마니아어

name.​rustring or null

러시아어

name.​thstring or null

태국어

name.​trstring or null

터키어

name.​twstring or null

중국어(번체)

name.​vistring or null

베트남어

name.​kmstring or null

크메르어

name.​idstring or null

인도네시아어

name.​lostring or null

라오스어

name.​mystring or null

버마어

name.​phstring or null

필리핀어

name.​nestring or null

네팔어

description(object or null)

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

description.​enstring or null

영어

description.​arstring or null

아랍어

description.​bgstring or null

불가리아어

description.​cnstring or null

중국어(간체)

description.​csstring or null

체코어

description.​destring or null

독일어

description.​esstring or null

스페인어(스페인)

description.​frstring or null

프랑스어

description.​hestring or null

히브리어

description.​itstring or null

이탈리아어

description.​jastring or null

일본어

description.​kostring or null

한국어

description.​plstring or null

폴란드어

description.​ptstring or null

포르투칼어

description.​rostring or null

로마니아어

description.​rustring or null

러시아어

description.​thstring or null

태국어

description.​trstring or null

터키어

description.​twstring or null

중국어(번체)

description.​vistring or null

베트남어

description.​kmstring or null

크메르어

description.​idstring or null

인도네시아어

description.​lostring or null

라오스어

description.​mystring or null

버마어

description.​phstring or null

필리핀어

description.​nestring or null

네팔어

long_description(object or null)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

long_description.​enstring or null

영어

long_description.​arstring or null

아랍어

long_description.​bgstring or null

불가리아어

long_description.​cnstring or null

중국어(간체)

long_description.​csstring or null

체코어

long_description.​destring or null

독일어

long_description.​esstring or null

스페인어(스페인)

long_description.​frstring or null

프랑스어

long_description.​hestring or null

히브리어

long_description.​itstring or null

이탈리아어

long_description.​jastring or null

일본어

long_description.​kostring or null

한국어

long_description.​plstring or null

폴란드어

long_description.​ptstring or null

포르투칼어

long_description.​rostring or null

로마니아어

long_description.​rustring or null

러시아어

long_description.​thstring or null

태국어

long_description.​trstring or null

터키어

long_description.​twstring or null

중국어(번체)

long_description.​vistring or null

베트남어

long_description.​kmstring or null

크메르어

long_description.​idstring or null

인도네시아어

long_description.​lostring or null

라오스어

long_description.​mystring or null

버마어

long_description.​phstring or null

필리핀어

long_description.​nestring or null

네팔어

image_urlstring

이미지 URL. 결제 UI에서 이미지가 올바르게 표시되고 빠르게 로드되도록 하려면 다음 이미지 및 URL 가이드라인을 확인하세요:

  • 지원되는 형식: WebP(권장), PNG, JPG.
  • 파일 크기: 50KB 이하(WebP의 경우) 또는 150KB 이하(PNG 및 JPG의 경우).
  • 이미지 크기: 280 x 280 픽셀.
  • 색 공간: sRGB.
  • 프로토콜: 버전 관리된 URL에 대해 장기 캐싱이 적용된 HTTPS.

media_listArray of objects

스크린샷, 게임 플레이 동영상 등과 같은 아이템의 추가 자산입니다.

media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
groupsArray of strings

해당 아이템이 속한 그룹 외부 ID 목록입니다.

예시: ["horror", "action"]

attributesArray of objects<= 20 items

특성 목록입니다.

주의. 아이템에 20개 이상의 특성을 지정할 수 없습니다. 제한을 초과하려고 하면 오류가 발생합니다.
attributes[].​external_idstring[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$필수

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

attributes[].​nameobject

특성의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

attributes[].​name.​property name*string추가 속성
attributes[].​valuesArray of objects필수
주의. 각 특성 당 6개 이상의 값을 생성할 수 없습니다. 제한을 초과하려고 하면 오류가 발생합니다.
예제: [{"external_id":"strategy","value":{"en":"Strategy","de":"Strategie"}},{"external_id":"action","value":{"en":"Action","de":"Aktion"}}]
attributes[].​values[].​external_idstring[ 1 .. 255 ] characters^[-_.\d\w]+$필수

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

예제: "value_external_id"
attributes[].​values[].​valueobject필수

값의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

attributes[].​values[].​value.​property name*string추가 속성
pricesArray of objects
예제: [{"currency":"USD","amount":10.5,"is_default":true,"is_enabled":true,"country_iso":"US"}]
prices[].​currencystring필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 내용은 설명서를 확인하십시오.

예제: "USD"
prices[].​amountnumber> 0필수

실제 화폐로 표시된 아이템 가격입니다.

예제: 10.5
prices[].​is_defaultboolean

실제 통화로 표시되는 기본 가격인지 여부입니다. 가격 설정에 대한 자세한 내용은 문서를 참조하십시오.

기본값 false
예제: true
prices[].​is_enabledboolean

이 가격이 카탈로그에 표시하거나 아이템을 구매할 때 사용되는지 여부입니다. false로 설정하면 해당 가격은 사용되지 않으며 다른 가격이 적용됩니다. 가격 설정에 대한 자세한 내용은 문서를 참조하십시오.

기본값 true
예제: true
prices[].​country_isostring or null

이 가격을 사용할 수 있는 국가입니다. ISO 3166-1 alpha 2에 따른 2자리 글자 코드입니다.

예제: "US"
vc_pricesArray of objects or null

인게임 재화 가격 목록입니다.

예제: [{"sku":"com.xsolla.gold_1","amount":10,"is_default":true,"is_enabled":true}]
vc_prices[].​skustring필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.gold_1"
vc_prices[].​amountinteger필수

인게임 재화의 아이템 가격입니다.

예제: 10
vc_prices[].​is_defaultboolean필수

인게임 재화의 기본 가격인지 여부입니다.

기본값 false
예제: true
vc_prices[].​is_enabledboolean필수

이 가격이 카탈로그에 표시하거나 아이템을 구매할 때 사용되는지 여부입니다. false인 경우, 해당 가격은 사용되지 않습니다.

기본값 true
예제: true
is_enabledboolean

해당 아이템이 구매 가능한지 여부입니다. false인 경우, 해당 아이템은 스토어에서 구매할 수 없으며 번들 상품이나 마케팅 캠페인을 통해서도 획득할 수 없습니다. 아이템 구매 가능 여부에 대한 자세한 내용은 문서를 참조하세요.

is_show_in_storeboolean

해당 아이템이 카탈로그에 표시되는지 여부입니다. false이고 is_enabled: true인 경우, 해당 아이템은 카탈로그에 표시되지 않지만 번들 상품의 일부로 제공되거나 마케팅 캠페인 내에서 이용할 수 있습니다. 아이템 제공 여부에 대한 자세한 내용은 문서를 참조하십시오.

is_freeboolean

아이템이 무료인지 여부입니다.

is_paid_randomized_rewardboolean

아이템이 예를 들어, 루트 박스와 같이 무작위로 지급되었는지 여부.

orderinteger

카탈로그 내 아이템 표시 순서입니다. 값이 클수록 목록에서 해당 아이템이 더 아래쪽에 표시됩니다. 값이 동일한 경우, 아이템이 생성 날짜 순으로 정렬되며, 보다 최근에 생성된 아이템이 더 위쪽에 표시됩니다.

regionsArray of objects

해당 아이템을 이용할 수 있는 지역 목록입니다. 목록이 비어 있거나 전달되지 않은 경우, 해당 아이템은 모든 지역에 제공됩니다.

regions[].​idinteger>= 1

프로젝트 내의 지역 ID입니다.

자세한 내용은 지역별 판매 제한 관련 문서지역 관리 API 호출을 참조하십시오.

예제: 1
limitsobject

아이템 제한 사항입니다.

limits.​per_usernull or integer or object

개별 사용자에 대한 아이템 제한 사항입니다.

Any of:

개별 사용자에 대한 아이템 제한 사항입니다.

null
limits.​per_iteminteger or null

전역 항목 제한 사항입니다.

limits.​recurrent_scheduleobject or null

새로고침 기간을 제한합니다.

limits.​recurrent_schedule.​per_userobject

지정된 시간 간격(시간 단위)마다 구매 한도가 재설정됩니다.

One of:

지정된 시간 간격(시간 단위)마다 구매 한도가 재설정됩니다.

limits.​recurrent_schedule.​per_user.​interval_typestring필수

반복 새로고침 기간입니다.

"daily"
limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...필수

원하는 시간대의 제한 시간 새로고침 시간입니다(시간 단위로 반올림).

예제: "02:00:00+03:00"
periodsArray of objects or null

아이템 판매 기간입니다.

periods[].​date_fromstring(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
custom_attributesobject(json)<= 500 characters

아이템 특성과 값이 포함된 JSON 개체입니다. 특성을 사용하면 아이템을 사용할 수 있는 플레이어의 레벨과 같은 추가 정보를 아이템에 추가할 수 있습니다. 특성은 게임의 내부 논리를 강화하며 전용 GET 메소드와 웹훅을 통해 이용할 수 있습니다.

curl -i -X POST \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency \
  -H 'Content-Type: application/json' \
  -d '{
    "sku": "com.xsolla.coin_1",
    "name": {
      "en-US": "Gold coin",
      "de-DE": "Goldmünze"
    },
    "is_enabled": true,
    "is_free": false,
    "is_paid_randomized_reward": false,
    "groups": [
      "gold"
    ],
    "order": 1,
    "description": {
      "en-US": "The main currency of your kingdom",
      "de-DE": "Die Hauptwährung deines Königreichs"
    },
    "prices": [
      {
        "amount": 100,
        "currency": "USD",
        "is_enabled": true,
        "is_default": true
      }
    ],
    "attributes": [
      {
        "external_id": "material",
        "name": {
          "en-US": "Material"
        },
        "values": [
          {
            "external_id": "gold",
            "value": {
              "en-US": "Gold"
            }
          }
        ]
      }
    ],
    "limits": {
      "per_user": 5,
      "per_item": 10000
    },
    "periods": [
      {
        "date_from": "2020-08-11T10:00:00+03:00",
        "date_until": "2020-08-11T20:00:00+03:00"
      }
    ],
    "custom_attributes": {
      "purchased": 0,
      "attr": "value"
    }
  }'

응답

가상 아이템을 성공적으로 생성했습니다.

본문application/json
skustring
예제: "com.xsolla.item_1"
응답
application/json
{ "sku": "com.xsolla.item_1" }

요청

관리를 위해 프로젝트 내부의 인게임 재화를 가져옵니다.

참고

상점 카탈로그를 작성에 이 엔드포인트를 사용하지 마세요.
보안
basicAuth
경로
project_idinteger필수

프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
virtual_currency_skustring필수

인게임 재화 SKU입니다.

예제: crystal
curl -i -X GET \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/sku/crystal

응답

지정한 인게임 재화를 성공적으로 수신했습니다.

본문application/json
skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

name(object or null)

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

name.​enstring or null

영어

name.​arstring or null

아랍어

name.​bgstring or null

불가리아어

name.​cnstring or null

중국어(간체)

name.​csstring or null

체코어

name.​destring or null

독일어

name.​esstring or null

스페인어(스페인)

name.​frstring or null

프랑스어

name.​hestring or null

히브리어

name.​itstring or null

이탈리아어

name.​jastring or null

일본어

name.​kostring or null

한국어

name.​plstring or null

폴란드어

name.​ptstring or null

포르투칼어

name.​rostring or null

로마니아어

name.​rustring or null

러시아어

name.​thstring or null

태국어

name.​trstring or null

터키어

name.​twstring or null

중국어(번체)

name.​vistring or null

베트남어

name.​kmstring or null

크메르어

name.​idstring or null

인도네시아어

name.​lostring or null

라오스어

name.​mystring or null

버마어

name.​phstring or null

필리핀어

name.​nestring or null

네팔어

description(object or null)

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

description.​enstring or null

영어

description.​arstring or null

아랍어

description.​bgstring or null

불가리아어

description.​cnstring or null

중국어(간체)

description.​csstring or null

체코어

description.​destring or null

독일어

description.​esstring or null

스페인어(스페인)

description.​frstring or null

프랑스어

description.​hestring or null

히브리어

description.​itstring or null

이탈리아어

description.​jastring or null

일본어

description.​kostring or null

한국어

description.​plstring or null

폴란드어

description.​ptstring or null

포르투칼어

description.​rostring or null

로마니아어

description.​rustring or null

러시아어

description.​thstring or null

태국어

description.​trstring or null

터키어

description.​twstring or null

중국어(번체)

description.​vistring or null

베트남어

description.​kmstring or null

크메르어

description.​idstring or null

인도네시아어

description.​lostring or null

라오스어

description.​mystring or null

버마어

description.​phstring or null

필리핀어

description.​nestring or null

네팔어

long_description(object or null)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

long_description.​enstring or null

영어

long_description.​arstring or null

아랍어

long_description.​bgstring or null

불가리아어

long_description.​cnstring or null

중국어(간체)

long_description.​csstring or null

체코어

long_description.​destring or null

독일어

long_description.​esstring or null

스페인어(스페인)

long_description.​frstring or null

프랑스어

long_description.​hestring or null

히브리어

long_description.​itstring or null

이탈리아어

long_description.​jastring or null

일본어

long_description.​kostring or null

한국어

long_description.​plstring or null

폴란드어

long_description.​ptstring or null

포르투칼어

long_description.​rostring or null

로마니아어

long_description.​rustring or null

러시아어

long_description.​thstring or null

태국어

long_description.​trstring or null

터키어

long_description.​twstring or null

중국어(번체)

long_description.​vistring or null

베트남어

long_description.​kmstring or null

크메르어

long_description.​idstring or null

인도네시아어

long_description.​lostring or null

라오스어

long_description.​mystring or null

버마어

long_description.​phstring or null

필리핀어

long_description.​nestring or null

네팔어

groupsArray of objects

아이템이 속한 그룹입니다.

groups[].​external_idstring
예제: "horror"
groups[].​nameobject

아이템의 이름입니다. 키가 "^[a-z]{2}" 형식의 로케일인 키/값 쌍을 포함해야 하며 값은 문자열입니다.

기본값 {"en":"Horror"}
예제: {"en":"Horror","de":"Horror"}
groups[].​name.​property name*string추가 속성
attributesArray of objects

특성 목록입니다.

예제: [{"external_id":"attribute_external_id","name":{"en":"Attribute name","de":"Attributname"},"values":[{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]}]
attributes[].​external_idstring[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$필수

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "attribute_external_id"
attributes[].​nameobject

특성의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

예제: {"en":"Attribute name","de":"Attributname"}
attributes[].​name.​property name*string추가 속성
attributes[].​valuesArray of objects필수
예제: [{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]
attributes[].​values[].​external_idstring[ 1 .. 255 ] characters^[-_.\d\w]+$필수

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

예제: "value_external_id"
attributes[].​values[].​valueobject필수

값의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

attributes[].​values[].​value.​property name*string추가 속성
media_listArray of objects

스크린샷, 게임 플레이 동영상 등과 같은 아이템의 추가 자산입니다.

media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
typestring

아이템의 유형: virtual_good/virtual_currency/bundle/physical_good/unit.

pricesArray of objects
예제: [{"currency":"USD","amount":10.5,"is_default":true,"is_enabled":true,"country_iso":"US"}]
prices[].​currencystring필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 내용은 설명서를 확인하십시오.

예제: "USD"
prices[].​amountnumber> 0필수

실제 화폐로 표시된 아이템 가격입니다.

예제: 10.5
prices[].​is_defaultboolean

실제 통화로 표시되는 기본 가격인지 여부입니다. 가격 설정에 대한 자세한 내용은 문서를 참조하십시오.

기본값 false
예제: true
prices[].​is_enabledboolean

이 가격이 카탈로그에 표시하거나 아이템을 구매할 때 사용되는지 여부입니다. false로 설정하면 해당 가격은 사용되지 않으며 다른 가격이 적용됩니다. 가격 설정에 대한 자세한 내용은 문서를 참조하십시오.

기본값 true
예제: true
prices[].​country_isostring or null

이 가격을 사용할 수 있는 국가입니다. ISO 3166-1 alpha 2에 따른 2자리 글자 코드입니다.

예제: "US"
vc_pricesArray of objects
예제: [{"sku":"com.xsolla.gold_1","amount":10,"is_default":true}]
vc_prices[].​skustring필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.gold_1"
vc_prices[].​amountnumber> 0필수

금액.

예제: 10
vc_prices[].​is_defaultboolean
기본값 false
예제: true
image_urlstring

이미지 URL. 결제 UI에서 이미지가 올바르게 표시되고 빠르게 로드되도록 하려면 다음 이미지 및 URL 가이드라인을 확인하세요:

  • 지원되는 형식: WebP(권장), PNG, JPG.
  • 파일 크기: 50KB 이하(WebP의 경우) 또는 150KB 이하(PNG 및 JPG의 경우).
  • 이미지 크기: 280 x 280 픽셀.
  • 색 공간: sRGB.
  • 프로토콜: 버전 관리된 URL에 대해 장기 캐싱이 적용된 HTTPS.

is_enabledboolean

해당 아이템이 구매 가능한지 여부입니다. false인 경우, 해당 아이템은 스토어에서 구매할 수 없으며 번들 상품이나 마케팅 캠페인을 통해서도 획득할 수 없습니다. 아이템 구매 가능 여부에 대한 자세한 내용은 문서를 참조하세요.

is_freeboolean

아이템이 무료인지 여부입니다.

is_paid_randomized_rewardboolean

아이템이 예를 들어, 루트 박스와 같이 무작위로 지급되었는지 여부.

orderinteger

카탈로그 내 아이템 표시 순서입니다. 값이 클수록 목록에서 해당 아이템이 더 아래쪽에 표시됩니다. 값이 동일한 경우, 아이템이 생성 날짜 순으로 정렬되며, 보다 최근에 생성된 아이템이 더 위쪽에 표시됩니다.

is_show_in_storeboolean

해당 아이템이 카탈로그에 표시되는지 여부입니다. false이고 is_enabled: true인 경우, 해당 아이템은 카탈로그에 표시되지 않지만 번들 상품의 일부로 제공되거나 마케팅 캠페인 내에서 이용할 수 있습니다. 아이템 제공 여부에 대한 자세한 내용은 문서를 참조하십시오.

regionsArray of objects

해당 아이템을 이용할 수 있는 지역 목록입니다. 목록이 비어 있거나 전달되지 않은 경우, 해당 아이템은 모든 지역에 제공됩니다.

regions[].​idinteger>= 1

프로젝트 내의 지역 ID입니다.

자세한 내용은 지역별 판매 제한 관련 문서지역 관리 API 호출을 참조하십시오.

예제: 1
limitsobject or null

아이템 제한 사항입니다.

limits.​per_userobject or null

개별 사용자에 대한 아이템 제한 사항입니다.

limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량입니다.

limits.​per_user.​limit_exceeded_visibilitystring

구매 한도에 도달한 후 다음 한도 재설정 때까지 카탈로그 내 아이템의 표시 여부를 결정합니다.

recurrent_schedule 배열에서 반복 한도 재설정이 구성된 아이템에 적용됩니다.

구매 한도에 도달한 후, 한도 초기화를 구성하지 않았다면limit_exceeded_visibility 값과 관계없이 해당 아이템은 카탈로그에 표시되지 않습니다.

사용 가능한 값: - show - 구매 한도에 도달한 이후에도 카탈로그 검색 API 호출 시 해당 아이템이 반환됩니다. 클라이언트 측 카탈로그 검색 API 호출에서 한도에 도달하면, 해당 아이템은 can_be_bought: false 플래그와 함께 반환됩니다. 다음 재설정 날짜는 reset_next_date에 반환됩니다. - hide - 구매 한도에 도달한 후, 한도가 재설정될 때까지 해당 아이템은 카탈로그 검색 API 호출에서 반환되지 않습니다.

열거형"show""hide"
limits.​per_itemobject or null

전역 항목 제한 사항입니다.

limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

limits.​per_item.​reservedinteger
limits.​per_item.​soldinteger
limits.​recurrent_scheduleobject or null

새로고침 기간을 제한합니다.

limits.​recurrent_schedule.​per_userobject

사용자 제한 새로고침 기간입니다.

One of:

일일 사용자 유형 제한 설정을 새로고침합니다.

limits.​recurrent_schedule.​per_user.​interval_typestring

반복 새로고침 기간 유형입니다.

"daily"
limits.​recurrent_schedule.​per_user.​timestring(full-time)

원하는 시간대의 제한 시간 새로고침 시간입니다(시간 단위로 반올림).

예제: "11:00:00+03:00"
limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

새로고침 제한 설정이 적용되는 날짜 및 시간입니다(Unix 타임스탬프)

예제: 1677553200
limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

첫 번째 제한 설정을 새로고침하는 날짜 및 시간입니다(ISO 8601).

예제: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

제한 설정을 재설정해야 하는 날짜 및 시간입니다(ISO 8601).

예제: "2023-02-28T11:00:00+08:00"
periodsArray of objects

아이템 판매 기간입니다.

periods[].​date_fromstring or null(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
custom_attributesobject(json)

아이템 특성 및 값이 포함된 JSON 개체입니다.

응답
application/json
{ "sku": "com.xsolla.crystal_1", "name": { "en": "Crystals", "ru": "Crystals" }, "type": "virtual_currency", "description": { "en": "Main in-game currency" }, "image_url": "https://cdn3.xsolla.com/img/misc/images/da33ab6cc1d7e5899cfdc5b6b6180fad.png", "long_description": null, "attributes": [ {} ], "is_free": false, "is_paid_randomized_reward": false, "order": 1, "groups": [], "prices": [ {} ], "media_list": [], "vc_prices": [], "is_enabled": true, "is_show_in_store": true, "regions": [], "limits": { "per_user": null, "per_item": null, "recurrent_schedule": null }, "periods": [], "custom_attributes": { "purchased": 0, "attr": "value" } }
작업
작업

개요

Game keys are single-use unique alphanumeric codes that grant users access to a game or DLC on gaming platforms. You can sell game keys via a direct link, through the store UI, or via a widget. You can also configure regional restrictions to sell game keys in specific countries. For detailed information, refer to the Game keys packages section.

User authentication is not required to sell game keys — the keys are sent to the email the user specified at checkout. You can configure authentication to enable additional scenarios: personalization, purchase limits, or an entitlement system. For detailed information, refer to the How to set up authentication when selling game keys section.

Game key sales flow:

  1. Create a game using the Create game API call.
  2. Configure regional restrictions.
  3. Upload keys to a game key package using the Upload codes API call to make them available for purchase.
  4. Display the game catalog with prices for the user's region using the Get games list API call.
  5. Create an order. For a fast purchase, you can use the Create order with all items from current cart API call, passing the game key SKU. The response returns a token for opening the payment UI.
  6. Implement the opening of the payment UI to pay for the order.

To receive timely notifications about successful payments and deliver items to the user, set up order status tracking, for example, using webhooks. The keys are sent to the email the user specified at checkout, and the order moves to the done status.

Game keys

작업
작업
작업

개요

Bundles are sets of items sold as a single unit. A bundle can include virtual items, virtual currency, virtual currency packages, game keys, and other bundles. Use bundles to create starter packs, seasonal offers, and special deals.

Use the following API call groups to work with bundles:

  • Use API calls from the Admin subsection to create, update, delete bundles, and manage their visibility.
  • Use API calls from the Catalog subsection to retrieve bundles.

Purchase limits are configured via the limits object when creating or updating a bundle. For more information, refer to the Limits overview. You can also configure regional restrictions to sell items in specific countries.

Note

For detailed information on configuring bundles, refer to the Bundles section.

Bundle management scenario:

  1. Create a bundle using the Create bundle API call. To verify the created bundle, use the Get bundle API call. To retrieve all bundles in the project, use the Get list of bundles API call.
  2. If needed, use the Update bundle API call to modify the bundle content or settings.
  3. Implement bundle display logic in your storefront using the Get list of bundles, Get specified bundle, or Get list of bundles by specified group API call.
  4. Create an order using the Cart and payment section. For example, for a fast purchase you can use the Create order with specified item API call, passing the bundle SKU. The response contains a token for opening the payment UI.
  5. Implement opening the payment UI to pay for the order.
  6. Set up order status tracking, for example using webhooks, to promptly receive data on successfully paid items and grant them to the user.

Bundle management scenario

작업
작업

개요

The cart is a purchasing mechanism that enables combining multiple items into a single order. A user can buy items of any type in any quantity for real currency, as well as use promo codes.

The cart is stored on the Xsolla side. Saving the cart across sessions depends on whether the user is authorized:

  • For authorized users, the cart is linked to a specific user and is saved across sessions as long as requests are sent on behalf of the same user.

  • For unauthorized users, saving the cart depends on passing the x-unauthorized-id header. To save the cart of an unauthorized user across sessions, pass the same x-unauthorized-id in every request. This option is available only for game key sales.

You can identify the cart in two ways: automatically by user's JWT or by cart ID (cart_id).

Cart management is available both on the client side and on the server side.

On the server side, you can fill the cart with items, e.g., when restoring a user session. The following actions are available on the client side:

  • retrieve the current user's cart or a cart by ID
  • fill the cart
  • update items in the cart
  • delete items from the cart

To purchase items from the cart, the client and server calls for order creation are used.

The cart’s time to live (TTL) is 72 hours by default. If its content changes, e.g., when a new item is added, the TTL is extended.

After successful payment, the cart isn’t cleared automatically. To clear the cart, use the following client-side API calls:

Cart usage scenario:

  1. Implement a store UI where the user will select items.

  2. When the user selects items in the store, add them to the cart, e.g., using the Fill cart with items call. In the items array, you need to pass the SKUs and the required quantity of items.

  3. Implement the cart viewing UI. When the user navigates to the cart, display its contents using the Get current user's cart call. The response will return information about the final price of the items, including discounts and applied promotions.

  4. Implement the opening of the payment UI to pay for the order. For example, you can use the Create order with all items from particular cart call. The response returns a token to open the payment UI.

  5. Configure order status tracking, e.g., using webhooks, to promptly receive data about successfully paid items and grant them to the user.

Note

To implement selling items in-game and online, refer to the integration guide.

Cart and payment flow

주문 수명 주기

주문 수명 주기를 이해하면 주문을 추적)하고 아이템 배송과 같은 구매 후 로직을 올바르게 구현하는 데 도움이 됩니다.

주문은 다음 단계들을 거칩니다:

상태설명참고
new주문이 생성되었습니다. 시스템은 결제 확인을 기다리고 있습니다.거래 상태 설명은 페이 스테이션 API 문서에서 확인할 수 있습니다.
paid주문 대금이 결제되었으며(거래 상태가 done로 변경됨), 해당 아이템을 사용자에게 제공할 수 있습니다. 결제가 확인될 때까지 주문은 new 상태로 남아 있습니다.
done아이템이 사용자에게 부여됩니다. -
canceled결제가 환불됩니다. 거래 상태refunded로 변경될 때 주문이 이 상태로 이동합니다.
expired한정 아이템, 프로모션 코드 또는 프로모션에 대한 새 주문을 생성하면 해당 아이템이 포함된 기존 미결제 주문은 모두 expired 상태로 변경됩니다. 가장 최근에 주문한 상품에 대해서만 결제가 가능합니다. 사용자가 만료된 주문에 대해 비용 결제를 시도하면 2002 오류가 표시되며 결제가 실패합니다.

주문 수명 주기

참고

사용자가 결제를 완료하는 도중에 주문 상태가 expired로 변경되었으나 결제가 성공적으로 완료된 경우, 주문 상태는 expired에서 paid로 변경됩니다. 이는 결제 시 해당 주문 품목의 구매 한도를 초과하지 않는 경우에만 적용됩니다.

장바구니(클라이언트 측)

이 섹션의 호출을 사용하여 클라이언트 측에서 장바구니를 관리합니다.

작업

장바구니(서버 측)

이 섹션의 호출을 사용하여 서버 측에서 장바구니를 관리합니다.

작업

결제(클라이언트 측)

이 섹션의 호출을 사용하여 클라이언트 측에서 결제 토큰을 생성합니다.

작업

결제(서버 측)

이 섹션의 호출을 사용하여 서버 측에서 결제 토큰을 생성합니다.

작업

주문

이 섹션의 호출을 사용하여 주문에 대한 정보를 얻습니다.

작업

무료 아이템

Use calls from this section to grant free items to users.

작업

개요

구매 한도를 통해 단일 사용자 또는 모든 사용자가 구매할 수 있는 아이템 수량을 제한할 수 있습니다. 또한 예약된 한도 재설정을 구성할 수 있습니다.

한도는 엑솔라 측에 저장되며 관리자 페이지 또는 다음 API 호출의 limits 객체를 통해 개별 아이템 수준에서 구성됩니다:

한도 정보는 아이템 카탈로그를 가져오는 다음 API 호출의 items.limits 객체에 반환됩니다:

한도 그룹의 관리 하위 섹션에 있는 API 호출은 현재 한도의 상태를 검색하고 특정 사용자에 대해 업데이트할 수 있도록 합니다. 예를 들어, 퀘스트 완료 후 카운터를 재설정하거나 남은 수량을 수동으로 조정할 수 있습니다.

참고

카탈로그에서 한도를 구성하는 방법에 대한 자세한 정보는 아이템 구매 한도 섹션을 참조하세요.
작업
작업
작업
작업

카탈로그

이 API를 사용하면 모든 종류의 판매할 수 있는 아이템 또는 특정 아이템을 가져올 수 있습니다.

작업
작업
작업
작업
작업